/* THIS FILE IS AUTO-GENERATED. don't edit */
#include "config.h"
#include "vmod_digest.h"
#include "../../../include/vrt_digest.h"

const char *
VRT_digest_default_base64(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = digest_string(DEFAULT, BASE64, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_default_hex(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = digest_string(DEFAULT, HEX, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_default_hexlc(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = digest_string(DEFAULT, HEXLC, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_crc32_base64(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = digest_string(CRC32, BASE64, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_crc32_hex(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = digest_string(CRC32, HEX, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_crc32_hexlc(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = digest_string(CRC32, HEXLC, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_sha256_base64(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = digest_string(SHA256, BASE64, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_sha256_hex(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = digest_string(SHA256, HEX, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_sha256_hexlc(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = digest_string(SHA256, HEXLC, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_plain_base64(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = digest_string(PLAIN, BASE64, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_plain_hex(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = digest_string(PLAIN, HEX, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_plain_hexlc(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = digest_string(PLAIN, HEXLC, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_rs_base64(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = digest_string(RS, BASE64, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_rs_hex(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = digest_string(RS, HEX, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_rs_hexlc(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = digest_string(RS, HEXLC, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_md5_base64(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = digest_string(MD5, BASE64, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_md5_hex(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = digest_string(MD5, HEX, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_md5_hexlc(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = digest_string(MD5, HEXLC, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_hmac_sha256_base64(struct sess *sp, const char *key, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = hmac_string(HMAC_SHA256, BASE64, sp, key, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_hmac_sha256_hex(struct sess *sp, const char *key, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = hmac_string(HMAC_SHA256, HEX, sp, key, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_hmac_sha256_hexlc(struct sess *sp, const char *key, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = hmac_string(HMAC_SHA256, HEXLC, sp, key, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_hmac_sha256bk_base64(struct sess *sp, const char *key, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = hmac_string(HMAC_SHA256BK, BASE64, sp, key, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_hmac_sha256bk_hex(struct sess *sp, const char *key, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = hmac_string(HMAC_SHA256BK, HEX, sp, key, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_hmac_sha256bk_hexlc(struct sess *sp, const char *key, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = hmac_string(HMAC_SHA256BK, HEXLC, sp, key, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_hmac_md5_base64(struct sess *sp, const char *key, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = hmac_string(HMAC_MD5, BASE64, sp, key, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_hmac_md5_hex(struct sess *sp, const char *key, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = hmac_string(HMAC_MD5, HEX, sp, key, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_hmac_md5_hexlc(struct sess *sp, const char *key, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = hmac_string(HMAC_MD5, HEXLC, sp, key, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_hmac_md5bk_base64(struct sess *sp, const char *key, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = hmac_string(HMAC_MD5BK, BASE64, sp, key, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_hmac_md5bk_hex(struct sess *sp, const char *key, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = hmac_string(HMAC_MD5BK, HEX, sp, key, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_hmac_md5bk_hexlc(struct sess *sp, const char *key, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = hmac_string(HMAC_MD5BK, HEXLC, sp, key, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_encode_base64(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = encode_string(BASE64, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_encode_hex(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = encode_string(HEX, sp, s, ap);
	va_end(ap);
        return (p);
}

const char *
VRT_digest_encode_hexlc(struct sess *sp, const char *s, ...)
{
	const char *p;
	va_list ap;

	va_start(ap, s);
	p = encode_string(HEXLC, sp, s, ap);
	va_end(ap);
        return (p);
}
